/*
 * Copyright 2023 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#include <keel/module.hpp>

#include <jasper/core/keelmodule.hpp>
#include <jasper/world/keelmodule.hpp>

namespace nostalgia {
void registerKeelModules() noexcept;
}

namespace jasper {

static bool modulesRegistered = false;
void registerKeelModules() noexcept {
	if (modulesRegistered) {
		return;
	}
	modulesRegistered = true;
	nostalgia::registerKeelModules();
	keel::registerModule(core::keelModule());
	keel::registerModule(world::keelModule());
}

}
